#version 450
layout(location = 0) in vec3 aPos;
layout(location = 1) in vec2 aUV;
layout(location = 2) in float aAlpha;

layout(std140, binding = 0) uniform Globals {
    mat4 uVP;
};

layout(location = 0) out vec2 vUV;
layout(location = 1) out float vAlpha;
void main() {
    vUV = aUV;
    vAlpha = aAlpha;
    gl_Position = uVP * vec4(aPos, 1.0);
}
